Loading...
Searching...
No Matches
Opm::ConvergenceOutputConfiguration Class Reference

Parse comma separated option strings into a runtime configuration object for whether to output additional convergence information and, if so, what information to output. More...

`#include <ConvergenceOutputConfiguration.hpp>`

## Public Types

enum class | Option : unsigned char { None = 0 , Steps = 1 << 1 , Iterations = 1 << 2 }
| Option values. More...

## Public Member Functions

| ConvergenceOutputConfiguration (std::string_view options, std::string_view optionName="")
| Constructor.
bool | any () const
| Whether or not user wants any additional convergence output at all.
bool | want (const Option opt) const
| Whether or not user wants specific convergence output.

## Detailed Description

Parse comma separated option strings into a runtime configuration object for whether to output additional convergence information and, if so, what information to output.

Supported option string values are

- "none" – Dont want any additional convergence output.
- "steps" – Want additional convergence output pertaining to the converged solution at the end of each timestep.
- "iterations" – Want additional convergence output pertaining to each non-linar ieration in each timestep.

Option value "none" overrides all other options. In other words, if the user requests "none", then there will be no additional convergence output, even if there are other options in the option string.

## Member Enumeration Documentation

## Option

enum class Opm::ConvergenceOutputConfiguration::Option : unsigned char

strong

Option values.

None overrides all other options. In other words, if the user requests None, then there will be no additional convergence output, even if there are other options in the option string.

## Constructor & Destructor Documentation

## ConvergenceOutputConfiguration()

Opm::ConvergenceOutputConfiguration::ConvergenceOutputConfiguration | ( | std::string_view | options,
|  | std::string_view | optionName = "" )

explicit

Constructor.

Parses comma separated option string into runtime configuration option.

Parameters

  [in] | options | Comma separated option string.
  [in] | optionName | Name of command line option whose value is `options`. Used as diagnostic information only, and only if specified.

## Member Function Documentation

## want()

bool Opm::ConvergenceOutputConfiguration::want | ( | const Option | opt | ) | const

inline

Whether or not user wants specific convergence output.

Parameters

  [in] | opt | Specific convergence output type.

The documentation for this class was generated from the following files:

- opm/simulators/flow/ConvergenceOutputConfiguration.hpp
- opm/simulators/flow/ConvergenceOutputConfiguration.cpp